    One-dimensional normalised gaussian function.

normgauss1d
>>> create_model_component("normgauss1d", "mdl")
>>> print(mdl)

Create a component of the normgauss1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 10 1.17549e-38 3.40282e+38 mdl.pos thawed 0 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The Full-Width Half Maximum of the gaussian. It is related to the sigma value by: FWHM = sqrt(8 * log(2)) * sigma.
pos
The center of the gaussian.
ampl
The amplitude refers to the integral of the model over the range -infinity to infinity.

Notes

The functional form of the model for points is:

f(x) = ampl * exp(-4 * log(2) * (x - pos)^2 / fwhm^2) ---------------------------------------------- sqrt(pi / (4 * log(2))) * fwhm

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023